## soap_fault

Description

Backward compatibility

- version: $Id: soap_fault.html,v 1.2 2010/04/26 20:25:21 snichol Exp $
- author: Dietrich Ayala <dietrich@ganx4.com>

Located in /nusoap.php (line 1079)

    nusoap_base
       |
       --nusoap_fault
          |
          --soap_fault

Variables

#### Inherited Variables

Inherited from nusoap_fault

> nusoap_fault::$faultactor
> nusoap_fault::$faultcode
> nusoap_fault::$faultdetail
> nusoap_fault::$faultstring

Inherited from nusoap_base

> nusoap_base::$charencoding
> nusoap_base::$debugLevel
> nusoap_base::$debug_str
> nusoap_base::$error_str
> nusoap_base::$namespaces
> nusoap_base::$revision
> nusoap_base::$soap_defencoding
> nusoap_base::$title
> nusoap_base::$typemap
> nusoap_base::$usedNamespaces
> nusoap_base::$version
> nusoap_base::$xmlEntities
> nusoap_base::$XMLSchemaVersion

Methods

#### Inherited Methods

Inherited From nusoap_fault

> nusoap_fault::nusoap_fault()
> nusoap_fault::serialize()

Inherited From nusoap_base

> nusoap_base::nusoap_base()
> nusoap_base::appendDebug()
> nusoap_base::clearDebug()
> nusoap_base::contractQname()
> nusoap_base::debug()
> nusoap_base::expandEntities()
> nusoap_base::expandQname()
> nusoap_base::formatDump()
> nusoap_base::getDebug()
> nusoap_base::getDebugAsXMLComment()
> nusoap_base::getDebugLevel()
> nusoap_base::getError()
> nusoap_base::getGlobalDebugLevel()
> nusoap_base::getLocalPart()
> nusoap_base::getmicrotime()
> nusoap_base::getNamespaceFromPrefix()
> nusoap_base::getPrefix()
> nusoap_base::getPrefixFromNamespace()
> nusoap_base::isArraySimpleOrStruct()
> nusoap_base::serializeEnvelope()
> nusoap_base::serialize_val()
> nusoap_base::setDebugLevel()
> nusoap_base::setError()
> nusoap_base::setGlobalDebugLevel()
> nusoap_base::varDump()
> nusoap_base::__toString()

Documentation generated on Mon, 26 Apr 2010 16:17:06 -0400 by phpDocumentor 1.3.0RC3